From 5748df05de573dd8ec7ae70878e4b766fc956813 Mon Sep 17 00:00:00 2001
From: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date: Sat, 3 Dec 2011 11:45:36 +0900
Subject: [PATCH] inet_ntop always returns NULL on Windows.

---
 compat/inet_pton.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/compat/inet_pton.c b/compat/inet_pton.c
index 7d7200b..8e0c4c1 100644
--- a/compat/inet_pton.c
+++ b/compat/inet_pton.c
@@ -55,7 +55,7 @@ const char *inet_ntop (int af, const void *src, char *dst, int len)
     {
         case AF_INET:
             if (snprintf (dst, len, "%hhu.%hhu.%hhu.%hhu",
-                          b[0], b[1], b[2], b[3]) <= len)
+                          b[0], b[1], b[2], b[3]) >= len)
             {
                 errno = ENOSPC;
                 return NULL;
-- 
1.7.7.2

